<!DOCTYPE html>
<html lang="fr">

<?php
    $title = "Projets";
    include("include/head.php");
?>

<body>
    <!-- Navbar -->
    <?php
        include("include/navbar.php")
    ?>

    <!-- Main -->
    <main role="main" class="container">
        <div class="focus-center">
            <h1>
                Projets
            </h1>
            <img src="https://img.icons8.com/color/96/000000/code.png" alt="code flat icon">
            <h2>
                Mon folio de développeur
            </h2>
            <p class="lead">
                Voici l'ensemble des projets de programmation auxquels j'ai participé. Certains ont été faits en équipe,
                d'autres seuls, certains sont encore en développement.
            </p>
        </div>

        <h3>
            <img src="https://img.icons8.com/color/48/000000/term.png" alt="term flat icon">
            Présentation
        </h3>
        <p>
            Chaque encart présente le résumé d'un projet. Si vous cliquez sur <code>Page du projet</code>, vous
            arrivez directement sur sa page descriptive complète.
        </p>
        <p>
            N'hésitez pas à revenir consulter cette page plus tard, et revenir régulièrement. J'ai beaucoup de projets déjà
            réalisés qui ne sont pas encore affichés ici, et j'en lancerai bientôt de nouveaux.
        </p>

        <h3>
            <img src="https://img.icons8.com/color/48/000000/git.png" alt="git flat icon">
            Code source
        </h3>
        <p>
        Mon folio est incomplet pour le moment, de nombreux projets ne figurent pas encore sur cette page.
        </p>
        <p>
        Vous pouvez retrouver l'intégralité de mes projets et leur code source <a href="https://gogs.jovian-hersemeule.eu/DricomDragon">sur mon instance de <em>Gogs</em></a>, un clone de <em>GitHub</em>.
        </p>

        <!-- Catégorie : En cours -->
        <?php
            $category_img_src = "https://img.icons8.com/color/50/000000/rocket.png";
            $category_img_alt = "Rocket flat icon";
        ?>
        <h3>
            <img src="<?php echo $category_img_src; ?>" alt="<?php echo $category_img_alt; ?>">
            En cours
        </h3>
        <p>
            Retrouvez ici les projets sur lesquels je passe mon temps actuellement.
        </p>

        <div class="card-columns">
            <?php
                $pro_title = "Jovian Website";
                $pro_text = "Mon site Internet : celui sur lequel vous naviguez actuellement.";
                $pro_img_src = "https://img.icons8.com/color/400/000000/city.png";
                $pro_img_alt = "Jovian site icon";
                $pro_page = "projets/pro_static_site.php";
                include("include/project-card.php");
            ?>
        </div>

        <!-- Catégorie : Présentables -->
        <?php
            $category_img_src = "https://img.icons8.com/color/50/000000/space-shuttle.png";
            $category_img_alt = "Space shuttle flat icon";
        ?>
        <h3>
            <img src="<?php echo $category_img_src; ?>" alt="<?php echo $category_img_alt; ?>">
            Présentables
        </h3>
        <p>
            Voici ici les projets qui sont <em>présentables</em>. C'est à dire qu'ils ne sont pas terminés, mais sont suffisamment matures
            pour fonctionner et susciter de l'intérêt.
        </p>

        <div class="card-columns">
            <?php
                $pro_title = "ASCII Space Destroyer";
                $pro_text = "Un jeu de vaisseau spatial dessiné avec des caractères ASCII, où le joueur peut créer son propre vaisseau.";
                $pro_img_src = "include/images/project_icon_ASCII.png";
                $pro_img_alt = "ASCII Space Destroyer image";
                $pro_page = "projets/pro_ascii_space.php";
                include("include/project-card.php");
            ?>
            <?php
                $pro_title = "Quoridor";
                $pro_text = "Un jeu de plateau retranscrit sur ordinateur, où le joueur peut affronter un ami ou une intelligence articielle.";
                $pro_img_src = "include/images/quoridor_400x400.png";
                $pro_img_alt = "Quoridor image";
                $pro_page = "projets/pro_quoridor.php";
                include("include/project-card.php");
            ?>
        </div>

        <!-- Catégorie : projets à venir -->
        <?php
            $category_img_src = "https://img.icons8.com/color/50/000000/blueprint.png";
            $category_img_alt = "Blueprint flat icon";
        ?>
        <h3>
            <img src="<?php echo $category_img_src; ?>" alt="<?php echo $category_img_alt; ?>">
            À venir
        </h3>
        <p>
            Mes idées de futurs projets.
        </p>

        <div class="card-columns">
            <?php
                $pro_title = "Pulsar";
                $pro_text = "Un jeu de vaisseaux spatiaux, où chaque équipe tente de prendre l'ascendant dans un système solaire.";
                $pro_img_src = "https://img.icons8.com/color/400/000000/code.png";
                $pro_img_alt = "Pulsar image";
                $pro_page = "projets/pro_pulsar.php";
                include("include/project-card.php");
            ?>
        </div>

        <!-- Catégorie : Projets terminés -->
        <?php
            $category_img_src = "https://img.icons8.com/color/48/000000/uranus-planet.png";
            $category_img_alt = "Planet flat icon";
        ?>
        <h3>
            <img src="<?php echo $category_img_src; ?>" alt="<?php echo $category_img_alt; ?>">
            Terminés
        </h3>
        <p>
            Projets dont la phase de développement est terminée.
        </p>
        <p>
            <em>Section vide pour le moment, revenez plus tard ...</em>
        </p>
    </main>

    <!-- Footer -->
    <?php
        include("include/footer.php")
    ?>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="include/js/bootstrap.js"></script>

</body>
</html>
